% Generate data points
dataVectorPos = rand([25, 2]) + 1;
dataVectorNeg = rand([25, 2]) - 1;

dataLabelsPos = ones([size(dataVectorPos, 1), 1]);
dataLabelsNeg = -ones([size(dataVectorNeg, 1), 1]);

hFigure = plotHyperplane(dataVectorPos, dataVectorNeg, dataLabelsPos, dataLabelsNeg, @train);

% Duplicate positive examples
% Assign confidence
%   Positive examples get a confidence of 0.5
%   Negative examples get a confidence of 1
% This effectively does not change the hyperplane
dataVectorPosDuplicate = repmat(dataVectorPos, 2, 1);
dataLabelsPosDuplicate = repmat(dataLabelsPos, 2, 1);
confidencePosDuplicate = 0.5 * ones([size(dataLabelsPosDuplicate, 1), 1]);
confidenceNeg = ones([size(dataLabelsNeg, 1), 1]);

hFigure = plotHyperplane(dataVectorPosDuplicate, dataVectorNeg, ...
    [dataLabelsPosDuplicate, confidencePosDuplicate], [dataLabelsNeg, confidenceNeg], @train);
