function hFigure = plotHyperplane(dataVectorPos, dataVectorNeg, dataLabelsPos, dataLabelsNeg, trainfunc)

% plot the points on a figure, using different colors
hFigure = figure(); hold on; grid on;
for i = 1 : size(dataVectorPos, 1)
  plot(dataVectorPos(i, 1), dataVectorPos(i, 2), 'ko', 'MarkerSize', 10);
end;

for i = 1 : size(dataVectorNeg, 1)
  plot(dataVectorNeg(i, 1), dataVectorNeg(i, 2), 'rx', 'MarkerSize', 10);
end;

% train a linear SVM
model = trainfunc([dataLabelsPos; dataLabelsNeg], sparse([dataVectorPos; dataVectorNeg]), '-s 2 -B 1 -c 1');
[modelVector, modelB] = getsv_liblinear(model);

xpts = linspace(min(dataVectorNeg(:, 1)), max(dataVectorPos(:, 1)), 50);
ypts = (modelB - modelVector(1) * xpts) ./ modelVector(2);
plot(xpts, ypts, 'b-');

function [sv, b] = getsv_liblinear(model)

sv = model.w(1:end-1)';
b = -model.w(end);
